
import java.io.*;

public class constr02 {
  static public void main(String[] args) {
    new RoundGlyph(5);
    pause();
  }

   private static void pause() {
    try {
      System.in.read();
    }
    catch (IOException e) {
    }
  }  // pause

} // constr02




abstract class Glyph {
	abstract void draw();
	 Glyph() {
		System.out.println("Glyph() vor draw() ");
		draw();
		System.out.println("Glyph() nach draw() ");
	}
}

class RoundGlyph extends Glyph {
	int radius = 1;
	RoundGlyph(int r) {
		radius = r;
		 System.out.println(" RoundGlyph radius: "+ radius);
	}
	void draw() {
		System.out.println(" RoundGlyph.draw radius: "+ radius);
	}

}




